summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-07-16 19:52:52 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2019-07-16 19:52:52 +0200
commit59124c368c5d9673d5e4adc813ddff8b542d63fb (patch)
tree251d047b27615260d05c39b9701275a02eafd50c /media-libs/mlt
parentnet-libs/libvncserver: Drop 0.9.12-r1 (diff)
downloadgentoo-59124c368c5d9673d5e4adc813ddff8b542d63fb.tar.gz
gentoo-59124c368c5d9673d5e4adc813ddff8b542d63fb.tar.bz2
gentoo-59124c368c5d9673d5e4adc813ddff8b542d63fb.zip
media-libs/mlt: Re-add python2_7 support
Thanks-to: ak <4nykey@gmail.com> Closes: https://bugs.gentoo.org/689068 Package-Manager: Portage-2.3.69, Repoman-2.3.16 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'media-libs/mlt')
-rw-r--r--media-libs/mlt/mlt-6.16.0-r1.ebuild10
-rw-r--r--media-libs/mlt/mlt-6.16.0-r2.ebuild10
2 files changed, 14 insertions, 6 deletions
diff --git a/media-libs/mlt/mlt-6.16.0-r1.ebuild b/media-libs/mlt/mlt-6.16.0-r1.ebuild
index 6161697e042..dee7260c926 100644
--- a/media-libs/mlt/mlt-6.16.0-r1.ebuild
+++ b/media-libs/mlt/mlt-6.16.0-r1.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_COMPAT=( python2_7 python3_{6,7} )
# this ebuild currently only supports installing ruby bindings for a single ruby version
# so USE_RUBY must contain only a single value (the latest stable) as the ebuild calls
# /usr/bin/${USE_RUBY} directly
@@ -112,8 +112,12 @@ src_prepare() {
sed -i -e "s/env ruby/${USE_RUBY}/" src/swig/ruby/* || die
- # fix python3 include dir
- sed -i -e 's/python{}.{}/python{}.{}m/' src/swig/python/build || die
+ # fix python include dir
+ if use python; then
+ python_export PYTHON_INCLUDEDIR
+ sed -e "/PYTHON_INCLUDE=/s:=.*:=${PYTHON_INCLUDEDIR}:" \
+ -i src/swig/python/build || die
+ fi
}
src_configure() {
diff --git a/media-libs/mlt/mlt-6.16.0-r2.ebuild b/media-libs/mlt/mlt-6.16.0-r2.ebuild
index 1605afaedce..31ed25573ff 100644
--- a/media-libs/mlt/mlt-6.16.0-r2.ebuild
+++ b/media-libs/mlt/mlt-6.16.0-r2.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_COMPAT=( python2_7 python3_{6,7} )
# this ebuild currently only supports installing ruby bindings for a single ruby version
# so USE_RUBY must contain only a single value (the latest stable) as the ebuild calls
# /usr/bin/${USE_RUBY} directly
@@ -112,8 +112,12 @@ src_prepare() {
sed -i -e "s/env ruby/${USE_RUBY}/" src/swig/ruby/* || die
- # fix python3 include dir
- sed -i -e 's/python{}.{}/python{}.{}m/' src/swig/python/build || die
+ # fix python include dir
+ if use python; then
+ python_export PYTHON_INCLUDEDIR
+ sed -e "/PYTHON_INCLUDE=/s:=.*:=${PYTHON_INCLUDEDIR}:" \
+ -i src/swig/python/build || die
+ fi
}
src_configure() {